/*
 * test program 2 for IKBD routines
 * (c) 2010 by Simon Sunnyboy / Paradize
 *
 * check certain key events 
 */

#include "src/ikbd.h"
#include <tos.h>

#define COLOR0 (*(unsigned short*)0xFFFF8240UL)

long mymain()
{
	unsigned char exitflag = 0;

	IKBD_Install();
	Cconws("IKBD routines installed!");

	while(exitflag == 0)
	{
		Vsync();
		if(IKBD_IsKeyPressed(IKBD_KEY_ESC))
		{
			exitflag = 1;
		}
		if(IKBD_IsKeyPressed(IKBD_KEY_SPACE) == IKBD_KEY_PRESSED)
		{
			COLOR0 = 0xFF00;
		}
		else
		{
			COLOR0 = 0xFFFF;
		}
		if(IKBD_MouseB != 0)
		{
			exitflag = 3;
		}
	}

	COLOR0 = 0x00FF;	
	IKBD_Flush();
	
	IKBD_Uninstall();
	return 0;
}

int main()
{
	return(Supexec(mymain));
}

